# Personality-tailored notifications in a mobile Digital Behavior Intervention Application

Please cite A. Jankovic, T. Kolenik, and V. Pejovic, "The Role of Personality-Tailored Notifications in Mobile-Based Behavior Change Intervention" if using this dataset.

# General information:

```sh
separator = ';', 
quotechar = '"'
```

## anon_users.csv:
```
header=["ageGroup","balance","dimension","userId","pA","pC","pE","pN","pO"]
```
- ageGroup
    - 1: 13 - 19 years old
    - 2: 20 - 29 years old
    - 3: 30 - 39 years old
    - 5: 50 - 59 years old
- balance
- dimension
    - personality dimension with highest computed percentile
- userId
- pA
    - Computed percentile for big five dimension agreeableness (multiply by 100)
- pC
  - Computed percentile for big five dimension conscientiousness (multiply by 100)
- pE
  - Computed percentile for big five dimension extraversion (multiply by 100)
- pN
  - Computed percentile for big five dimension neuroticism (multiply by 100)
- pO
  - Computed percentile for big five dimension openness (multiply by 100)

## anon_notifications_sent.csv:
```
header=["userId","taskId","endAction","endDate","sentDate","answer1Int","answer2Int","dateCompleted"]
```
- userId
- taskId
     - id of task for which the notification was sent
- endAction
    - Actions that user has taken on delivered notification
    - {CLICKED_NOTIFICATION, ACTION_OPEN_NOTIFICATION, DELETED_NOTIFICATION}
    - {NO_DATA}, if no action was performed on notification
- endDate
    - Recorded date when the action on notifications that was performed in "DD/MM/YYYY HH:MM:SS" format
    - {NO_DATA}, if no action was performed on notification
- sentDate
    - Date of when the notification was sent in "DD/MM/YYYY HH:MM:SS" format
- answer1Int
    - Answer to the first question of evening questionnaire
- answer2Int
    - Answer to the second question of evening questionnaire
- dateCompleted
    - Date for when the evening questionnaire was completed for this notification

## anon_activities.csv:
```
header=["userId","taskId","planId","rewardCoins","dateCreated","dateCompleted","categoryName","doTillDate","doFromDate","howHard","tailored","belongingPlanId"]
```
- userId
- taskId
    - Id of the task if the row represents task
- planId
    - Id of the plan if the row represents plan
- rewardCoins
    - Value of the task/plan in reward coins
- dateCreated
    - "DD/MM/YYYY HH:MM:SS" format
- dateCompleted
    - "DD/MM/YYYY HH:MM:SS" format
- categoryName
    - Determines if the row represents plan or task
- doTillDate
    - "DD/MM/YYYY HH:MM:SS" format
- doFromDate
    - "DD/MM/YYYY HH:MM:SS" format 
- howHard
    - Applies to the task -> {easy, medium, hard}
- tailored
    - Determines if the notification for this task sent was tailored or non-tailored
- belongingPlanId
    - Id of the plan that the task belongs to, if the row represents a task



